Package org.eclipse.microprofile.openapi.apps.petstore.resource

# Class PetResource

java.lang.Object
org.eclipse.microprofile.openapi.apps.petstore.resource.PetResource

@Path("/pet") public class PetResource extends Object

## Constructor Summary

Constructors
Constructor
Description
`PetResource()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`addPet(Pet pet)`
`jakarta.ws.rs.core.Response`
`deletePet(String apiKey, Long petId)`
`jakarta.ws.rs.core.Response`
`downloadFile(Long petId)`
`jakarta.ws.rs.core.Response`
`findPetsByTags(String apiKey, String tags)`
Deprecated.
`jakarta.ws.rs.core.Response`
`getPetById(Long petId)`
`jakarta.ws.rs.core.Response`
`updatePet(Pet pet)`
`jakarta.ws.rs.core.Response`
`updatePetWithCsv(Long petId, String commaSeparatedValues)`
`jakarta.ws.rs.core.Response`
`updatePetWithForm(Long petId, String name, String status)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PetResource

public PetResource()

## Method Details

### getPetById

@GET @Path("/{petId}") public jakarta.ws.rs.core.Response getPetById(@PathParam("petId") Long petId) throws NotFoundException

Throws:
  `NotFoundException`

### downloadFile

@GET @Path("/{petId}/download") public jakarta.ws.rs.core.Response downloadFile(@PathParam("petId") Long petId) throws NotFoundException

Throws:
  `NotFoundException`

### deletePet

@DELETE @Path("/{petId}") public jakarta.ws.rs.core.Response deletePet(@HeaderParam("apiKey") String apiKey, @PathParam("petId") Long petId)

### addPet

@POST @Consumes({"application/json","application/xml"}) @Produces({"application/json","application/xml"}) public jakarta.ws.rs.core.Response addPet(Pet pet)

### updatePet

@PUT @Consumes({"application/json","application/xml"}) public jakarta.ws.rs.core.Response updatePet(Pet pet)

### findPetsByTags

@GET @Path("/findByTags") @Produces("application/json") @Deprecated public jakarta.ws.rs.core.Response findPetsByTags(@HeaderParam("apiKey") String apiKey, @QueryParam("tags") String tags)
Deprecated.

### updatePetWithForm

@POST @Path("/{petId}") @Consumes("application/x-www-form-urlencoded") public jakarta.ws.rs.core.Response updatePetWithForm(@PathParam("petId") Long petId, @FormParam("name") String name, @FormParam("status") String status)

### updatePetWithCsv

@POST @Path("/{petId}") @Consumes("text/csv") @Produces("text/csv") public jakarta.ws.rs.core.Response updatePetWithCsv(@PathParam("petId") Long petId, String commaSeparatedValues)